store-auth-sessions-get-one¶
Source¶
Repository:
jef-systems/jef-store-backendSource Run ID:
25333167796Source SHA:
69cb846339fa14db005aec45414a4a94ec2a821eModule:
storeDocumentation Scope:
getLambda:
jef-store-get-7
Endpoint¶
API Name:
jef-storeAction Name:
getMethod:
GETScope Label:
GETResource Path:
/store-auth-sessions-get-oneComplete Endpoint:
https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-auth-sessions-get-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-7curl payload mode:
query_string
API Gateway Description¶
Function: jef-store-get-7
API Name: jef-store
Action: get
Method: GET
Resource Path: /store-auth-sessions-get-one
Table:
- table: jef-store-auth-sessions
- operation: get-one
Payload Schema:
- pk: session_id
Payload Example:
- pk: session-1001-0001
Response Schema:
- exists: boolean
- message: string
- item: {"session_id":"string","session_number":"string","entity_number":"string","employee_number":"string","employee_name":"string","role":"string","device_id":"string","platform":"string","message":"string","is_valid":"boolean","token_hash":"string","login_type":"string","issued_at":"string","last_seen":"string","expires_at":"string","revoked_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}
Request Payload¶
{
"pk": "session_id"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"session_id\":\"string\",\"session_number\":\"string\",\"entity_number\":\"string\",\"employee_number\":\"string\",\"employee_name\":\"string\",\"role\":\"string\",\"device_id\":\"string\",\"platform\":\"string\",\"message\":\"string\",\"is_valid\":\"boolean\",\"token_hash\":\"string\",\"login_type\":\"string\",\"issued_at\":\"string\",\"last_seen\":\"string\",\"expires_at\":\"string\",\"revoked_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}"
}
CMD curl¶
curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-auth-sessions-get-one?pk=session-1001-0001"
PowerShell curl¶
curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-auth-sessions-get-one?pk=session-1001-0001"